%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Chirp signal and windowed Fourier transform
% Meinard Mueller, 20.02.2004
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

fs =1000;                        %sampling rate
a=0;b=3;                         %time interval
o = 400;		          	 	 %frequency of chirp function at time 1
t = a:1/fs:b ;                   %time interval [a,b]
f = sin(o*pi*t.*t);              %computing chirp function

nfft = 32;                       %size of FFT (nfft must be large than window_size)
window_size = 16;                %size of window
window = hanning(window_size);   %window function
overlap = 4;                     %overlap of window functions

axes('Position',[0.1,0.8,0.8,0.1])
plot(t,f)
title('Chirp function f(t)=sin(400\pi t^2) and WFT with Hanning window')
axis([a,b,-1.4,1.4])

axes('Position',[0.1,0.1,0.8,0.63])
specgram(f,nfft,fs,window,overlap)

